Package commoble.exmachina.engine.internal.util

# Class ConfigHelper

java.lang.Object
commoble.exmachina.engine.internal.util.ConfigHelper

public class ConfigHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`ConfigHelper()`

## Method Summary

Modifier and Type
Method
Description
`static <T> T`
`register(net.minecraftforge.fml.config.ModConfig.Type configType, Function<net.minecraftforge.common.ForgeConfigSpec.Builder,T> configFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigHelper

public ConfigHelper()

## Method Details

### register

public static <T> T register(net.minecraftforge.fml.config.ModConfig.Type configType, Function<net.minecraftforge.common.ForgeConfigSpec.Builder,T> configFactory)